> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-9c5a0d9c.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على تهيئة نقطة النهاية الخاصة للمنطقة ضمن موفر السحابة لمؤسسة

> Deprecated. يُرجى الرجوع إلى [الوثائق](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list) للاطلاع على الإجراء المحدَّث.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/privateEndpointConfig:
    get:
      tags:
        - Organization
      summary: الحصول على تهيئة نقطة النهاية الخاصة للمنطقة ضمن موفر السحابة لمؤسسة
      description: >-
        Deprecated. يُرجى الرجوع إلى
        [الوثائق](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)
        للاطلاع على الإجراء المحدَّث.
      parameters:
        - description: معرّف organization المطلوبة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 'معرّف Cloud Provider. إحدى القيم التالية: aws أو gcp أو azure.'
          in: query
          name: cloud_provider
          required: true
          schema:
            type: string
        - description: معرّف Region ضمن موفّر سحابي محدد.
          in: query
          name: region_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: >-
                      #/components/schemas/OrganizationCloudRegionPrivateEndpointConfig
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعدّ خطأً من
            جهة العميل.
      deprecated: true
components:
  schemas:
    OrganizationCloudRegionPrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            المعرّف الفريد لنقطة نهاية الواجهة التي أنشأتها في VPC لديك باستخدام
            مورد AWS(Service Name) أو GCP(Target Service)
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````